Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.color
Class SingleColorMap

    java.lang.Object
      |
      +--uk.ac.man.bioinf.gui.color.SingleColorMap

All Implemented Interfaces:
  ColorMap

public class SingleColorMap
extends Object
implements ColorMap

SingleColorMap.java This class is designed to return one color, regardless of the element being displayed. Thus, this is able to provide no color scheme, by being set to the background color at run time. Created: Tue Apr 11 17:42:19 2000

Version:
  $Id: SingleColorMap.java,v 1.4 2001/04/11 17:04:42 lord Exp $
Author:
  J Selley

Constructor Summary
`SingleColorMap(Color color)`
`SingleColorMap(Color color, String name)`

Method Summary
`Color` | `getColorAt(SequenceAlignment sa, Element element, SequenceAlignmentPoint point)` Returns the Color at a specific position in the alignment.
`String` | `getName()` Returns the name of this colour scheme.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleColorMap

    public SingleColorMap(Color color)

### SingleColorMap

    public SingleColorMap(Color color,
                          String name)

Method Detail

### getColorAt

    public Color getColorAt(SequenceAlignment sa,
                            Element element,
                            SequenceAlignmentPoint point)

  Description copied from interface: `ColorMap`
  Returns the Color at a specific position in the alignment. This method will do various things depending on the actual color map implemented.

  Specified by:
    `getColorAt` in interface `ColorMap`
  Parameters:
    `sa` - the sequence alignment
    `element` - the element
    `point` - the location within the SA
  Returns:
    the color

### getName

    public String getName()

  Description copied from interface: `ColorMap`
  Returns the name of this colour scheme.

  Specified by:
    `getName` in interface `ColorMap`
  Returns:
    the name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD